#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QPushButton>
#include <QInputDialog>
#include <QFile>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    srand(time(0));                             // initialize the random number generator

    // read 10 images in the ressource file
    for (int i=1 ; i<=10 ; i++){
                QString imageName = QString().setNum(i)+".jpeg";
                QFile fimage(imageName);
                if (!fimage.exists()){  // pas trouve l'image
                                    images.push_back(new QPixmap());
                                    qDebug()<<"image "<<imageName<<" introuvable";
                                    }
                         else images.push_back(new QPixmap(imageName));
                }

    // a gridLayout on the interface of the main window
    this->centralWidget()->setLayout(ui->gridLayout);

    // create the labels
    for (int i=0 ; i<N ; i++){
            lab.push_back(new QLabel(this));                                    // a label
            lab[i]->setObjectName("label"+QString().setNum(i));                 // its name
            lab[i]->setPixmap(*images[rand()%images.size()]);                   // its random image
            lab[i]->setAlignment(Qt::AlignHCenter);
            lab[i]->setScaledContents(true);
            lab[i]->setMaximumHeight(1000);
            lab[i]->setMaximumWidth(1000);
            ui->gridLayout->addWidget(lab[i], i/NCOLS, i%NCOLS);                // add the label on the layout
            }

}

MainWindow::~MainWindow()
{
    // release labels
    for (int i=0 ; i<lab.size() ; i++)delete lab[i];
    lab.clear();
    delete ui;
}

void MainWindow::on_actionQuitter_triggered()
{
    close();
}

void MainWindow::on_actionNouvelles_images_triggered()
{
    for (int i=0 ; i<N ; i++)lab[i]->setPixmap(*images[rand()%images.size()]);                   // its random image

}
