//_______________________________________________________________________________
//  Ce programme montre l'envoi dedatagram UDP avec Qt
//  il consiste à envoyer la date et l'heure actuelle sur une machine distante
//  pour vérifier son fonctionnement vous pouvez utiliser wireshark
//_______________________________________________________________________________
#include <QCoreApplication>
#include <QUdpSocket>
#include <QDateTime>
#include <QDebug>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv, false);

    // le socket UDP
    QUdpSocket *socket = new QUdpSocket(NULL);

    // l'adresse et le port UDP de la machine destinataire
    QString hostIP = "127.0.0.1";
    int hostPort = 10001;


    // une chaine à envoyer
    QString datagram;

    // pour récupérer la date et l'heure de la machine
    QDateTime dt;

    for (;;) {
        dt = QDateTime::currentDateTime();      // maintenant
        datagram = dt.toString();               // la date et l'heure dans une chaîne
        // Attention: les datagrams sont limités à ~64Ko  ---> https://tools.ietf.org/html/rfc1122

        // toLatin1() convertie une QString en un QByteArray pour envoyer le datagram.
        socket->writeDatagram(datagram.toLatin1(), QHostAddress(hostIP), hostPort);
        // socket->writeDatagram permet aussi d'écrire un tableau c (char*) voir doc

        qDebug()<<"envoyé:"<<datagram;

    }


    return a.exec();
}
