#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
// la bibliothèque fftw
#include <fftw3.h>
// la bibliothèque qwt
#include <qwt.h>
#include <qwt_plot.h>
#include <qwt_plot_grid.h>
#include <qwt_legend.h>
#include <qwt_plot_curve.h>

#define NSAMPLE 4096
#define FSAMPLE 48000

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_comboBoxSource_currentIndexChanged(int index);
    void on_spinBox_valueChanged(int arg1);

private:
    Ui::Widget *ui;
    // structure de données de la bibliothèque fftw3
    fftw_complex *in;       // signal d'entrée
    fftw_complex *out;      // résultat
    fftw_plan plan_forward; // calcul de la TF

    // deux courbes
    QwtPlot *source;        // le signal temporel
    QwtPlot *spectre;       // le spectre de Fourier
    QwtPlotCurve *sourceCurve;
    QwtPlotCurve *spectreCurve;

};

#endif // WIDGET_H
