#include "widget.h"
#include "ui_widget.h"
#include <QPrinter>
#include <QPainter>
#include <QPrintDialog>
#include <QDebug>
using namespace std;

#define NUM_PAGES 1

Widget::Widget(QWidget *parent) :
QWidget(parent),
ui(new Ui::Widget)
{
ui->setupUi(this);
ui->progressBar->setMaximum(NUM_PAGES);

// chargement de 5 images
QList <QImage *> images;
for (int i=0 ; i<5 ; i++){
    images<<new QImage();
    QString br;     // une chaine brouillon
    br.sprintf(":/image%d.jpeg", i);
    images[i]->load(br);
    }

// génération du pdf
QPrinter printer;
QPrintDialog printDialog(&printer, this);
if (printDialog.exec() == QDialog::Accepted) {
        // print ...
        QPainter painter;
        painter.begin(&printer);

        QFontMetrics fm = painter.fontMetrics();

        for (int page = 0; page < NUM_PAGES; ++page) {
            ui->progressBar->setValue(page+1);

            // insertion de texte
            for (int l=0 ; l<10 ;  l++){   // draw lines on page
                QString ligne;

                ligne.sprintf("on est sur la ligne %d de la page %d", l, page);
                painter.drawText(QRectF(0,fm.height()*l,fm.width(ligne), fm.height()),ligne);
            }
            // insertion d'images

            painter.drawImage(QRectF(0,fm.height()*15,200, 200), *(images[rand()%images.size()]));

            // nouvelle page
            printer.newPage();
        }

        painter.end();              // fin de l'impression du document
        }

//    nettoyage
for (int i=0 ; i<images.size() ; i++)if (images[i]) delete images[i];
}

Widget::~Widget()
{
delete ui;

}


