#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>

#include <iostream>
using namespace std;
#include <QTimer>
#include <qwt_plot.h>
#include <qwt_plot_curve.h>
#include <qwt_legend.h>
#include <qwt_plot_grid.h>
#include <qwt_symbol.h>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT
    
public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
    
private slots:
    void onTimer();
private:
    Ui::Widget *ui;
    QTimer *timer;    

    // the time
    float t;
    //   a plot by Qwt
    QwtPlot *plotTemp;

    // two curves Light and Hygrometry
    QwtPlotCurve *lightCurve;
    QVector <QPointF> lightPoints;

    QwtPlotCurve *hygroCurve;
    QVector <QPointF> hygroPoints;
 };

#endif // WIDGET_H
