//-------------------------------------------------------------------------------------------
//  La classe MyServer est héritée de QTcpServer
//  elle reprsente le serveur TCP
//  Les changes avec l'interface utilisateur se fait par deux signaux (signals)
//  say_userUp  : lors de la connexion d'un client
//  say_userDown: lors de la deconnexion
//-------------------------------------------------------------------------------------------

#include "myserver.h"

MyServer::MyServer(QObject *parent, int port)
            :QTcpServer(parent)
{
  // demarrage du serveur sur le port qui va bien
  listen(QHostAddress::Any,port);
  //  si un client se connecte
  QObject:: connect(this, SIGNAL(newConnection()),
           this, SLOT(demande_connexion()));
}

// un client se connecte, on arrive ci ...
void MyServer::demande_connexion(){
 //on cree une nouvelle socket pour ce client
clientConnexion = nextPendingConnection();
// on envoie un signal a  l'UI
QTime time;
time.currentTime();
emit say_userUp("connect : "+clientConnexion->peerAddress().toString()+":"+QString().setNum(clientConnexion->peerPort()));

// on communique avec le client

QTextStream texte(clientConnexion);     //creation d'un flux pour ecrire dans la socket
// moi j'ai fait a, mais  vous de mettre le dialogue que vous voulez!
texte << "Server - version 1.00\n"<<endl << ">";           //message a  envoyer au client
//si on recoit des donnees, le slot lecture() sera appele (connexion d'un  slot  un evt)
QObject:: connect(clientConnexion, SIGNAL(readyRead()),this, SLOT(lecture()));
}

// le client nous ecrit quelque chose
void MyServer ::lecture()
{
   QString ligne;
   QTime time;
   QTextStream texte(clientConnexion);     //creation d'un flux pour ecrire dans la socket
  if (clientConnexion->canReadLine())        //si on peut lire sur la socket
   {
      ligne = clientConnexion->readLine();      //on lit une ligne
      // petit interpreteur de commande ou tout autre chose que vous voulez bien y mettre
      switch (ligne.at(0).toLatin1()){   // le premier caractere de la chaine
            case 'X' : texte << "vous avez tape X"<<endl; break;
            case 'Y' : texte << "vous avez tape Y"<<endl; break;
            case 'Q'  :
                        time.currentTime();
                        emit say_userDown("down : "+clientConnexion->peerAddress().toString());
                        clientConnexion->close();
                        break;
            default  : texte << "what?"<<endl;
      }
    texte << ">";           //prompt a  envoyer au client
    }
}
