//--------------------------------------------------------------------------------------------
// interface utilisateur du programme serveur TCP
//--------------------------------------------------------------------------------------------
#include "widget.h"
#include "ui_widget.h"

// constructeur method
Widget::Widget(QWidget *parent)
    : QWidget(parent), ui(new Ui::Widget)
{
    ui->setupUi(this);
    // on instancie un serveur TCP avec un slot pour connexion et un pour deconnexion
    server = new MyServer(this);
    QObject:: connect(server, SIGNAL(say_userUp(QString )),this, SLOT(oneIsUp(QString )));
    QObject:: connect(server, SIGNAL(say_userDown(QString )),this, SLOT(oneIsDown(QString )));
}

// destructor method
Widget::~Widget()
{
    delete ui;
}

//  slot correspondant à l'action sur le bouton (lancement du serveur)
void Widget::on_pushButton_clicked()
{
    bool ok;

if (server->isListening()){ // le serveur tourne
                          ui->pushButton->setText("Demarrer");
                          server->close();
                          }
                    else{ // le serveur est arrete
                          ui->pushButton->setText("Arreter");
                          server->listen(QHostAddress::Any, ui->lineEdit->text().toInt(&ok, 10));
                          }
// demarre le serveur et on visualise sont etat sur le radiobutton
ui->radioButton->setChecked(server->isListening());
 }

//    slot activé quand un client se connecte
void Widget::oneIsUp(QString host){
    // on se contente d'afficher l'IP du client
    ui->textEdit->append(host);
}

//    slot activé quand un client se deconnecte
void Widget::oneIsDown(QString host){
// on se contente d'afficher l'IP du client
    ui->textEdit->append(host);
}
