#include "dialog.h"
#include "ui_dialog.h"

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);

    // instanciaion des threads et créationde l'interface
    int espace = this->width()/(NUMBER_OF_THREADS+2);
    QList <QThread::Priority> priorities;
    priorities<<QThread::LowestPriority<<QThread::LowPriority<<QThread::NormalPriority
             <<QThread::HighPriority<<QThread::HighestPriority;
    for (int i=0 ; i<NUMBER_OF_THREADS ; i++){
        // les threads
        threads<<new MonThread('A'+i);

        // les sliders
        sliders<<new QSlider(this);
        sliders[i]->setOrientation(Qt::Vertical);
        sliders[i]->setGeometry(QRect((i+1)*espace, 5, espace/2, this->height()-40));
        sliders[i]->setMaximum(9999999);
        sliders[i]->setValue(0);

        // le slot
        connect(threads[i], SIGNAL(sendCount(int)), sliders[i], SLOT(setValue(int)));
        }
    // lancement des fils
    for (int i=0 ; i<threads.size() ; i++) {
                            threads[i]->start();
                            threads[i]->setPriority(priorities[i%priorities.size()]);

                            }
}

Dialog::~Dialog()
{
    delete ui;

    // clean up
     for (int i=0 ; i<NUMBER_OF_THREADS ; i++){
         if (sliders[i]) delete sliders[i];
         threads[i]->terminate();
         if (threads[i]) delete threads[i];
     }
}
