#include <QWidget>
#include <QApplication>
#include <QPushButton>
#include <QRadioButton>
#include <QSpinBox>
#include <QSlider>
#include <QList>
#include <QLabel>
#include <QPicture>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QWidget w;

    // géométrie de la fenêtre principale
    w.setGeometry(QRect(100,100, 640, 480));

    // un Boutton
    QPushButton *button;
    button = new QPushButton(&w);
    button->setGeometry(200, 400, 200, 30);
    button->setText("Démarrer");

    // 10 radio bouttons
    QList <QRadioButton*> radios;
    for (int i=0 ; i<10 ; i++){
                        // instanciation d'un radio boutton
                        radios.push_back(new QRadioButton(&w));
                        // modification des propriétés
                        radios[i]->setText("n° "+ QString().setNum(i));
                        radios[i]->setGeometry(10, 20*i, 100, 30);
                        }
    radios[3]->setChecked(true);

    // un spinBox
    QSpinBox *spinBox = new QSpinBox(&w);
    spinBox->setGeometry(w.width()/2, 30, 60, 20);
    spinBox->setMinimum(-100);
    spinBox->setMaximum(+100);

    // un doubleSpinBox
    QDoubleSpinBox *doubleSpinBox = new QDoubleSpinBox(&w);
    doubleSpinBox->setGeometry(w.width()/2, 100, 60, 20);
    doubleSpinBox->setMinimum(-1);
    doubleSpinBox->setMaximum(+1);
    doubleSpinBox->setDecimals(4);

    // un QLabel contenant une image
    QLabel *label = new QLabel(&w);
    label->setGeometry(w.width()/2, 150, 100, 100);
    QPixmap pixmap;
    if (pixmap.load("./image.png")){
                                label->setPixmap(pixmap);
                                label->setScaledContents(true);
                                }
                else label->setText("image non trouvée");

    // un slider
    QSlider *slider = new QSlider(&w);
    slider->setGeometry(80, 60, 500, 20);
    slider->setOrientation(Qt::Horizontal);
    slider->setMinimum(-100);
    slider->setMaximum(+100);

    // connexion du slider à la spinBox
    QObject::connect(slider, SIGNAL(valueChanged(int)), spinBox, SLOT(setValue(int)));


    // affichage du QWidget
    w.show();

    return a.exec();
}
